MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
00000453D-Coat v3.xPaint roompublic2010-10-28 07:072011-04-18 11:13
ReporterTaros 
Assigned ToAndrew 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 7OS Version64 Bit
Product Version 
Target VersionFixed in Version 
Summary0000045: obj files with ngons will not be imported correctly up from version 3503
DescriptionI can't import an obj file correctly up from version 3503.
I moved back to version 3502, there the same file will be imported right.

I guess, it is because the mesh includes ngons. Those ngons produce holes in version 3503(and currently developed v3504).
Steps To ReproduceHave sent the example file to Andrew per mail because of NDA.
TagsNo tags attached.
Attached Filesjpg file icon badobj02.jpg [^] (211,657 bytes) 2010-10-28 08:08


? file icon ngon01.obj [^] (9,859 bytes) 2010-10-28 08:09

- Relationships

-  Notes
(0000022)
Taros (administrator)
2010-10-28 08:08
edited on: 2010-10-28 08:10

One more example. See screenshot, please.
I've uploaded the mesh too, for testing.

The problem appears in version 3502 too, but not this strong like in the new versions.

(0000043)
haikalle (developer)
2010-12-09 09:37

What is the status of this Taros. Do you still have the problem. Can you share the file?
(0000070)
Taros (administrator)
2010-12-10 08:30
edited on: 2010-12-10 08:31

It is still there.

Look beneath my screenshot in the first post, there is the file already for download.
:)

(0000072)
haikalle (developer)
2010-12-10 09:04
edited on: 2010-12-10 09:09

Blind :)

I checked the file and it seams to be working just okey with subdivision levels.

Tested:3.5.06F

EDIT: okey. It seams that if you turn off "Auto smoothing groups" it works.
If it turned on then it clips away the edge.

(0000073)
Taros (administrator)
2010-12-10 09:23

Exactly... :)
(0000614)
Andrew (administrator)
2011-04-18 11:13

Fixed in 3.5.18

- Issue History
Date Modified Username Field Change
2010-10-28 07:07 Taros New Issue
2010-10-28 08:08 Taros Note Added: 0000022
2010-10-28 08:08 Taros File Added: badobj02.jpg
2010-10-28 08:08 Taros Note Edited: 0000022 View Revisions
2010-10-28 08:09 Taros File Added: ngon01.obj
2010-10-28 08:10 Taros Note Edited: 0000022 View Revisions
2010-12-09 09:37 haikalle Note Added: 0000043
2010-12-10 08:30 Taros Note Added: 0000070
2010-12-10 08:30 Taros Note Edited: 0000070 View Revisions
2010-12-10 08:31 Taros Note Edited: 0000070 View Revisions
2010-12-10 09:04 haikalle Note Added: 0000072
2010-12-10 09:09 haikalle Note Edited: 0000072 View Revisions
2010-12-10 09:23 Taros Note Added: 0000073
2011-04-18 11:13 Andrew Note Added: 0000614
2011-04-18 11:13 Andrew Status new => closed
2011-04-18 11:13 Andrew Assigned To => Andrew
2011-04-18 11:13 Andrew Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker